stages:
- qa
- release

# sast:
#   stage: qa
#   artifacts:
#     name: sast
#     paths:
#       - 'gl-sast-report.json'
#     reports:
#       sast: gl-sast-report.json
#     when: always
#   rules:
#     - if: $CI_MERGE_REQUEST_ID
# include:
# - template: Security/SAST.gitlab-ci.yml

release_docker:
  image: docker:dind
  stage: release
  services:
    - docker:dind
  before_script: apk add bash
  script: .gitlab/release.sh --production
  rules:
    - if: $CI_COMMIT_TAG

# release_commit:
#   image: docker:dind
#   stage: release
#   services:
#     - docker:dind
#   before_script: apk add bash
#   script: .gitlab/release.sh --commit
#   rules:
#     - if: # Whatever you need